# Interface GmfLayer

interface GmfLayer {
dimensions: {};
dimensionsFilters: {};
editable: boolean;
id: number;
layerType: string;
metadata: GmfMetaData;
name: string;
ogcServer: string;
popupId: string;
style: string;
type: string;
}

- Defined in src/themes.js:97

#####
Index

### Properties

dimensions
dimensionsFilters
editable
id
layerType
metadata
name
ogcServer
popupId
style
type

## Properties

### dimensions

dimensions: {}

The dimensions managed by the layer, if the value is null we will take the dimension from the application. Present only on layer in a mixed group.

#### Type declaration

- Defined in src/themes.js:101

### dimensionsFilters

dimensionsFilters: {}

The dimensions applied by filters on the layer configuration, if the value is null we will take the dimension from the application.

#### Type declaration

- Defined in src/themes.js:104

### editable

editable: boolean

- Defined in src/themes.js:107

### id

id: number

(GmfBaseNode)

- Defined in src/themes.js:98

### layerType

layerType: string

The layer type.

- Defined in src/themes.js:112

### metadata

metadata: GmfMetaData

(GmfBaseNode)

- Defined in src/themes.js:99

### name

name: string

(GmfBaseNode)

- Defined in src/themes.js:100

### ogcServer

ogcServer: string

- Defined in src/themes.js:110

### popupId

popupId: string

A popup identifier for the associate submenu.

- Defined in src/themes.js:111

### style

style: string

- Defined in src/themes.js:108

### type

type: string

WMS, WMTS or VectorTiles.

- Defined in src/themes.js:109

Generated using TypeDoc